﻿@{ Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@*Pop Up Part Master*@
@using (Html.BeginForm("", "Part", FormMethod.Post))
{
    <div>
        <table>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part No";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PU_2_PartNo";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.ClientEnabled = false;
                        TextBox.Width = 300;
                    }).Bind(ViewData["SetPartNo"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part Name";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PU_2_PartName";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 300;
                    }).Bind(ViewData["SetPartName"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Car Family Code";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PU_2_CarFamilyCd";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 300;
                    }).Bind(ViewData["SetCarFamilyCd"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Paint Type";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().ComboBox(
                    ComboBox =>
                    {
                        ComboBox.Name = "I_PU_2_PaintType";
                        ComboBox.Width = 100;
                        //ComboBox.SelectedIndex = 0;
                        ComboBox.Properties.DisplayFormatString = "{0}";
                        ComboBox.Properties.ValueType = typeof(string);
                        ComboBox.Properties.Items.Add("ED");
                        ComboBox.Properties.Items.Add("NE");
                    }).Bind(ViewData["SetPaintType"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part Spec";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PU_2_PartSpec";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 300;
                    }).Bind(ViewData["SetPartSpec"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Takt Time";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PU_2_TaktTime";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 300;
                    }).Bind(ViewData["SetTaktTime"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "PCS/KBN";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PU_2_PcsKbn";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 300;
                    }).Bind(ViewData["SetPcsKbn"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 120px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Latest Order";
                    }).GetHtml()
                </td>
                <td style="width: 20px">
                    @Html.DevExpress().DateEdit(SetDate =>
                    {
                        SetDate.Name = "I_PU_2_LatestOrder";
                        SetDate.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        SetDate.Properties.ValidationSettings.ErrorText = "";
                        SetDate.Properties.DisplayFormatInEditMode = true;
                        SetDate.Properties.DisplayFormatString = "yyyy-MM-dd";
                        SetDate.Properties.EditFormatString = "yyyy-MM-dd";
                        SetDate.Width = 100;
                    }).Bind(ViewData["SetLatestOrder"]).GetHtml()
                </td>
            </tr>
            <tr style="height: 10px">
            </tr>
            <tr>
                <td colspan="2" align="center">
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_PU_Update";
                                    Button.Text = "Update";
                                    Button.Width = 70;
                                    Button.Height = 25;
                                    Button.ClientSideEvents.Click = "UpdateData";
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = false;
                                }).GetHtml()
                            </td>
                            <td>
                                 @Html.DevExpress().Label(Button =>
                                {
                                    Button.Name = "L_PU2_Sep";
                                    Button.Text = "   ";
                                    Button.Width = 10;
                                    Button.Height = 25;
                                    Button.Style.Add("display", "inline-table");
                                }).GetHtml()
                            </td>
                            <td>
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_PU_2_Cancel";
                                    Button.Text = "Cancel";
                                    Button.Width = 70;
                                    Button.Height = 25;
                                    Button.ClientSideEvents.Click = "CancelPU";
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = false;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
}